import request from '@/utils/request'

// 查询可靠性管理申请列表
export function listApprove(query) {
  return request({
    url: '/reliability/approve/list',
    method: 'get',
    params: query
  })
}

// 查询可靠性管理清单申请列表
export function listHisApprove(query) {
  return request({
    url: '/reliability/approve/hisApprovelist',
    method: 'get',
    params: query
  })
}


// 查询可靠性管理申请详细
export function getApprove(id) {
  return request({
    url: '/reliability/approve/' + id,
    method: 'get'
  })
}

// 查询可靠性管理申请详细
export function getApproveInfo(id) {
  return request({
    url: '/reliability/approve/info/' + id,
    method: 'get'
  })
}


// 新增可靠性管理申请
export function addApprove(data) {
  return request({
    url: '/reliability/approve',
    method: 'post',
    data: data
  })
}

// 修改可靠性管理申请
export function updateApprove(data) {
  return request({
    url: '/reliability/approve',
    method: 'put',
    data: data
  })
}

// 删除可靠性管理申请
export function delApprove(id) {
  return request({
    url: '/reliability/approve/' + id,
    method: 'delete'
  })
}

// 导出可靠性管理申请
export function exportApprove(query) {
  return request({
    url: '/reliability/approve/export',
    method: 'get',
    params: query
  })
}


// 可靠性管理申请
export function handleApprove(data) {
  return request({
    url: '/reliability/approve/handle',
    data: data,
    method: 'put'
  })
}